import { request } from "@/lib/service"

/**
 * @desc 店铺商品列表接口
 * @param { String } keywords 关键字：商品名称
 * @param { Number } cat_id * 分类ID
 */
export function cateGoodsList({cat_id, keywords = '', page = 1, pagenum = 10}) {
	return request({
		url: 'zsxcx/shopGoodsCustom.htm',
		method: 'post',
		data: {
			cat_id,
			keywords,
			page,
			pagenum
		}
	})
}

/**
 * 店铺商品分组分类
 */
export function groupCates() {
	return request({
		url: 'zsxcx/shopGoodsCategoryCustom.htm',
		method: 'post',
		needMask: true
	})
}

/**
 * @desc 首页展示栏商品接口
 */
export function homeCategory() {
	return request({
		url: 'zsxcx/indexGoodsXcx.htm',
		method: 'post',
		needMask: true
	})
}