import { request } from "@/lib/service"
/**
 * @desc 消息列表
 */
export function newsList({pageNum = 1, pageSize = 10}) {
	return request({
		url: 'zsxcx/getInformationUserZS.htm',
		method: 'post',
		data: {
			pageNum,
			pageSize
		},
		needMask: true
	})
}

/**
 * @desc 消息详情
 * @param { Number | String } text_id
 */
export function newsDetail(text_id) {
	return request({
		url: 'zsxcx/getInformationUserDetailZS.htm',
		method: 'post',
		data: {
			text_id
		},
		needMask: true
	})
}

/**
 * @desc 修改消息状态  这个其实无需请求，后端可以直接做
 * @param { Number | String } id 消息主键id
 */
export function newsStatus(id) {
	return request({
		url: 'zsxcx/readInformationUserZS.htm',
		method: 'post',
		data: {
			id
		}
	})
}

/**
 * @desc 软删除消息
 */
export function newsDel(id) {
	return request({
		url: 'zsxcx/delInformationUserZS.htm',
		method: 'post',
		data: {
			id
		},
		needMask: true
	})
}

/**
 * 获取未读消息数量
 */
export function unReadCounts() {
	return request({
		url: 'zsxcx/getInformationNoCountZS.htm',
		method: 'post'
	})
}
